import request from '@/utils/request'

// 查询免邮费列表
export function listShippingTemplatesFree(query) {
  return request({
    url: '/store/shippingTemplatesFree/list',
    method: 'get',
    params: query
  })
}

// 查询免邮费详细
export function getShippingTemplatesFree(id) {
  return request({
    url: '/store/shippingTemplatesFree/' + id,
    method: 'get'
  })
}

// 新增免邮费
export function addShippingTemplatesFree(data) {
  return request({
    url: '/store/shippingTemplatesFree',
    method: 'post',
    data: data
  })
}

// 修改免邮费
export function updateShippingTemplatesFree(data) {
  return request({
    url: '/store/shippingTemplatesFree',
    method: 'put',
    data: data
  })
}

// 删除免邮费
export function delShippingTemplatesFree(id) {
  return request({
    url: '/store/shippingTemplatesFree/' + id,
    method: 'delete'
  })
}

// 导出免邮费
export function exportShippingTemplatesFree(query) {
  return request({
    url: '/store/shippingTemplatesFree/export',
    method: 'get',
    params: query
  })
}